package p12_enkapsulacja;

/* To jest klasa wyjątku.
 * Jeśli dziedziczymy z Exception, to wyjątek będzie "sprawdzany" przez kompilator ("checked")
 * - gdy wystąpi w kodzie, to TRZEBA go wyłapać lub zadeklarować za pomocą throws.
 * Jeśli dziedziczymy z RuntimeException (lub także z Error), to wyjątek nie będzie sprawdzany przez kompilator
 * (będzie "unchecked") - nie ma obowiązku wyłapywania go lub deklarowania, ale istnieje taka możliwość.
 */
public class BrakSrodkow extends Exception {

    public BrakSrodkow(String message) {
        super(message);
    }

}
