package p14_lambdy;

// Na interfejsy, w których jest dokładnie jedna niezaimplementowana metoda
// mówi się "interfejs funkcyjny" / "functional interface"
// Przed takim interfejsem MOŻNA umieścić adnotację, która sprawdza,
// czy interfejs naprawdę spełnia wymagania. Ale bez tej adnotacji wszystko też działa.
@FunctionalInterface
public interface FunkcjaLiczbowa {
    double oblicz(double x);

    default String napisz(double y) {
        return "Wynikiem jest " + oblicz(y);
    }
}
