package p06_tablice;

public class WypiszWInnejKolejnosci {

    public static void main(String[] args) {
        int[] t = {100, 110, 120, 130, 140, 150, 160, 170, 180, 190};
        // normalna kolejność wersja foreach
        for(int x : t) {
            System.out.print(x + " ");
        }
        System.out.println();
        
        // normalna kolejność - wersja z licznikiem
        for(int i = 0; i < t.length; i++) {
            System.out.print(t[i] + " ");
        }
        System.out.println();
        
        // wypisz elementy w odwróconej kolejności:
        for(int i = t.length-1; i >= 0; i--) {
            System.out.print(t[i] + " ");
        }
        System.out.println();
        
        // alternatywny zapis:
        {
            int i = t.length;
            while(i > 0) {
                System.out.print(t[--i] + " ");
            }
        }
        System.out.println();
        
        // wypisz elementy w takiej kolejności:
        // - pierwszy, ostatni, drugi, przedostatni, ...
        // aż do momentu, gdy dojdziesz do środka tablicy
        // każdy element ma pojawić się tylko raz
        // 100, 190, 110, 180, 120, 170, 130, 160, 140, 150
        
        // wersja 1:
        for(int i = 0; i < t.length / 2; i++) {
            System.out.print(t[i] + " ");
            System.out.print(t[t.length - i - 1] + " ");
        }
        if(t.length % 2 != 0) {
            System.out.print(t[t.length/2] + " ");
        }
        System.out.println();
        
        // wersja 2:
        for(int i = 0, j = t.length-1; i <= j; i++, j--) {
            System.out.print(t[i] + " ");
            if(i < j) {
                System.out.print(t[j] + " ");
            }
        }
    }

}
