package p20_pliki;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class CzytajPlik_BufferedReader1 {

    public static void main(String[] args) {
        // BufferedReader działa szybciej niż Scanner, ale potrafi mniej niż Scanner
        // Tutaj używamy starszego sposobu tworzenia obiektu BufferedReader
        try(BufferedReader reader = new BufferedReader(new FileReader("plik.txt"))) {
            while(true) {
                String line = reader.readLine();
                if(line == null) break; // koniec pliku
                System.out.println(line);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
