package p20_pliki;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class CzytajPlik_Scanner {
// ścieżki do plików w Javie można podawać w wersji systemowej
// wtedy na Windows używa się znaku backslash, a backslashe w Stringach Javy trzeba pisać podwójnie
// new File("C:\\Users\\patryk\\Documents\\plik.txt")
// ale zawsze można też podać wersję ze slashami / (także na Windows)
// new File("C:/Users/patryk/Documents/plik.txt")

    public static void main(String[] args) {
        try(Scanner scanner = new Scanner(new File("plik.txt"))) {
            while(scanner.hasNextLine()) {
                String line = scanner.nextLine();
                System.out.println(line);
            }
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }

}
